#include "i2c.h"
#include "uart.h"
#include "stdio.h"
#include "stdlib.h"
#define slave_add (0x68)


uint8_t data_rec[3],data_send[4];

int bcd_to_decimal(unsigned char x) {
    return x - 6 * (x >> 4);
}

int main()
	{
	uart_init();
	i2c_init(0x00708);
	while(1)
		{
		i2_read(slave_add,0x00,data_rec,3);
			for (volatile int i=0;i<3;i++)
				{
					data_rec[i]=bcd_to_decimal(data_rec[i]);
				}
			if(data_rec[0]!=0){
				if(data_rec[0]%5==0){
						data_send[0]=0x00;
						data_send[1]=0x00;
						data_send[2]=(rand() % 5);
						data_send[3]=(rand() % 5);
						i2c_write_dma(slave_add,data_send,4);
						}}
			printf("rtc data %d %d %d\r\n",data_rec[2],data_rec[1],data_rec[0]);
			for (int i=0;i<10000;i++);

		}

	}
